package demo;

import org.eclipse.draw2d.SWTEventDispatcher;
import org.eclipse.draw2d.ToolTipHelper;

public class SWTEventDispatcherX extends SWTEventDispatcher {

	private ToolTipHelperX toolTipHelperX;

	private long tooltipDuration;

	public SWTEventDispatcherX(long tooltipDuration) {
		super();
		this.tooltipDuration = tooltipDuration;
	}

	protected ToolTipHelper getToolTipHelper() {
		if (toolTipHelperX == null) {
			toolTipHelperX = new ToolTipHelperX(control);
			toolTipHelperX.setDuration(tooltipDuration);
		}
		return toolTipHelperX;
	}
}
